Problemi con flashplayer

23 risposte [Ultimo contenuto]
Ritratto di pabform
pabform
(Junior)
Offline
Junior
Iscritto: 17/05/2014
Messaggi: 24

ho installato una copia di flashplayer vecchia, volevo aggiornarla ma non risulta essere installata, eppure è presente nel menu. Ero sul sito di speedtest.net e mi chiedeva di installare flash poichè mancava. Ora, la versione ultima non me la installa perchè dice che va a sovrascrivere un file e mi dice che non può farlo. Come posso forzare e rimuovere la vecchia versione oppure come posso forzare ed installare lo stesso in sovrascrittura quella nuova?
Problema...se qualcuno sa come fare. Ho provato a dare un paio di comandi con force ma non funzionano, è evidente che sbaglio qualcosa.
ho dato dpkg --remove kcm_adobe_flash_player.so che è il vecchio file
risposta del terminale: dpkg: attenzione: viene ignorata la richiesta di rimuovere kcm_adobe_flash_player.so poiché non è installato
qualche idea? Flash è installato, è presente nel menu e si apre il form di opzioni di flashplayer. Confused

Debian 8.3, Manjaro, Neptune, mint Qiana, ubuntu, sabayon, window 10

Ritratto di badroot
badroot
(Guru)
Offline
Guru
Iscritto: 22/08/2008
Messaggi: 2074

Ciao,
il modo "normale" in Debian di installare il plugin in questione è questo :

sudo apt-get install flashplugin-nonfree

per eliminarlo :

sudo apt-get purge flashplugin-nonfree

però non credo tu abbia fatto questo perchè il file installato è /usr/lib/mozilla/plugins/flash-mozilla.so mentre tu riporti un nome completamente diverso.
Sarebbe utile sapere come lo hai installato la prima volta.
Ma diciamo che lo hai installato con dpkg usando quindi un pacchetto .deb, allora esegui :

sudo dpkg -l|grep flash

sperando che visto che si tratta del plugin flashplayer il nome contenga questa stringa.
Nell'output vedrai tutti i pacchetti installati che hanno nel nome la stringa flash, trova quello che ti interessa e rimuovilo con :

sudo dpkg -r nome_pacchetto_flashplayer

dove ovviamente al posto di nome_pacchetto_flashplayer metti quello che è uscito nell'output di cui sopra.

Ritratto di pabform
pabform
(Junior)
Offline
Junior
Iscritto: 17/05/2014
Messaggi: 24

ti ringrazio per la chiarezza, ora mi metto all'opera. Grazie e ciao
Ho risolto, e ho aggiunto al file sources-list i repo contrib così ho reinstallato il plugin non-free corretto. Grazie per le dritte..

Debian 8.3, Manjaro, Neptune, mint Qiana, ubuntu, sabayon, window 10

Ritratto di pabform
pabform
(Junior)
Offline
Junior
Iscritto: 17/05/2014
Messaggi: 24

Ho detto troppo presto di avere risolto. In tutti i sistemi chrome, non chromium, funziona con flashplayer senza interventi, su Debian non funziona. La versione per chome si chiama PepperFlashPlayer e con relativo file pepflasplayer.so, su debian non mi funziona, ne' chrome ne' chromium, non riesco a capire come mai. Ho provato a rimuoverlo e reinstallarlo ma non cambiata la situazione. Mi ci vuole un aiuto....grazie per l'attenzione ragazzi. D Oh

Debian 8.3, Manjaro, Neptune, mint Qiana, ubuntu, sabayon, window 10

Ritratto di L0sk0
L0sk0
(Junior)
Offline
Junior
Iscritto: 08/09/2014
Messaggi: 35

Salve, che io sappia una volta installato google-chrome (non chromium) non vi è bisogno di installare il flash player in quanto è già integrato, mentre per gli altri browser è da installare/abilitare.

Io personalmente l'ho installato con la stessa procedura che ti ha indicato badroot e non ho alcun problema, funziona tranquillamente (uso iceweasel).

Per caso ti ricordi se hai fatto l'installazione manuale, direttamente dal file che scarichi dal sito di Adobe e creato il collegamento simbolico nella cartella plugins del tuo browser?

Ciao.

Ritratto di pabform
pabform
(Junior)
Offline
Junior
Iscritto: 17/05/2014
Messaggi: 24

anche a me su iceweasel flash funziona, ma io ho tutti i contatti e i link su chrome, per questo gli sto dietro sennò avrei lasciato perdere. Io l'installazione la feci con il gestore pacchetti. Adesso seguendo la procedura qui sopra ben descritta, mi dà l'errore che allego, anzi non l'allego perchè non si può comunque mi dice che non ha candidati da installare e però è presente in un'altra sorgente dati, il che mi lascia interdetto e non capisco cosa voglia intendere. Fatto sta che non m i installa flashplayer e su chrome, che senza bisogno di interventi supporta flash tranquillamente, non lo supporta e va in crash.

Debian 8.3, Manjaro, Neptune, mint Qiana, ubuntu, sabayon, window 10

Ritratto di andr3a
andr3a
(Geek)
Offline
Geek
Iscritto: 31/07/2014
Messaggi: 97

per chromium/chrome io ho installato pepperflashplugin-nonfree presente nei repository wheezy-backports
https://packages.debian.org/jessie/pepperflashplugin-nonfree
A me funziona...

Ritratto di L0sk0
L0sk0
(Junior)
Offline
Junior
Iscritto: 08/09/2014
Messaggi: 35

Da alcune verifiche che ho fatto, mi devo accodare anche io a pabform. Sono sicuro che prima funzionava... ho installato chrome ed ho provato ad aprire anche io speedtest.net, constatando che effettivamente il plugin flash va in crash, pertanto non è possibile visualizzare le parti in flash del sito.

Ho provato a disinstallare il flashplugin-nonfree, che avevo installato per iceweasel e che funziona tranquillamente, per vedere se poteva dare fastidio ma il risultato non cambia.

Non vorrei sbagliarmi ma nelle precedenti mie installazioni di chrome non avevo avuto questo problema... Thinking

Ritratto di andr3a
andr3a
(Geek)
Offline
Geek
Iscritto: 31/07/2014
Messaggi: 97

Parlo per quello che ricordo di aver letto.
C'è stato un momento in cui chrome/chromium hanno deciso di non supportare più sia flash che java che in precedenza fuzionavano nativamente su questo browser.
Il pacchetto flashplugin-nonfree funziono su iceweasel, no su chrome/chromium.
Per far funzionare flash su chrome/chromium bisogna installare il pacchetto pepperflashplugin-nonfree che si trova abilitando i repository wheezy-backports.
Praticamente io in questo momento ho installto tutti e due i pachhetti "flash", uno per iceweasel uno per chrome/chormium

Allego le immagini di speedtest su chromium, prima e dopo l'installazione del pacchetto pepperflashplugin-nonfree

p.s. io sono su wheezy e parlo solo di flash installato dai repository debian.

Attached images:

Ritratto di L0sk0
L0sk0
(Junior)
Offline
Junior
Iscritto: 08/09/2014
Messaggi: 35

andr3a ha scritto:

Parlo per quello che ricordo di aver letto.
C'è stato un momento in cui chrome/chromium hanno deciso di non supportare più sia flash che java che in precedenza fuzionavano nativamente su questo browser.
Il pacchetto flashplugin-nonfree funziono su iceweasel, no su chrome/chromium.
Per far funzionare flash su chrome/chromium bisogna installare il pacchetto pepperflashplugin-nonfree che si trova abilitando i repository wheezy-backports.
Praticamente io in questo momento ho installto tutti e due i pachhetti "flash", uno per iceweasel uno per chrome/chormium

Allego le immagini di speedtest su chromium, prima e dopo l'installazione del pacchetto pepperflashplugin-nonfree

p.s. io sono su wheezy e parlo solo di flash installato dai repository debian.

Confermo quello da te scritto, però credo che ti sia sfuggito, o forse non mi sono spiegato io, che il problema si verifica con google-chrome e non chromium. Io ho provato a verificare quanto descritto da pabform ed effettivamente il plugin flash crasha su Chrome. Io avevo provato a disinstallare il flashplugin-nonfree (che avevo già installato da molto tempo) nel caso entrava in conflitto, in qualche modo, con quello di chrome, ma il risultato è identico.

Ritratto di andr3a
andr3a
(Geek)
Offline
Geek
Iscritto: 31/07/2014
Messaggi: 97

Vediamo se ho ben capito:
tu hai installato il pacchetto pepperflashplugin-nonfree e malgrado questo chrome non funziona e chromium invece si.
Io sono su wheezy, come dicevo, e una volta installato pepperflashplugin-nonfree flash funziona sia sua chrome che su chromium

chrome è alla versione 37.0.2062.120
chromium è alla versione 37.0.2062.120 Debian 7.6 (281580)

Non saprei...

Hai provato a lanciare chrome da terminale e, una volta visitata la pagina con contenuti flash, verificare se il terminale rilascia degli output ?

Per quanto riguarda invece il messaggio di apt-get :

il pacchetto flashplugin-nonfree non ha candidati da isntallare

potrebbe essere che non hai abilitati i repository contrib non-free